FloatUnaryOperator (Groovy 5.0.7)

Package: groovy.util.function

## [Java] Interface FloatUnaryOperator

-     @FunctionalInterface
      public interface FloatUnaryOperator

  Represents an operation that takes a `float`-valued operand and produces a `float`-valued result. This is a specialization of UnaryOperator for `float`.

  This is a functional interface whose functional method is applyAsFloat(float).

  See Also:
    UnaryOperator
  Since:
    5.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public FloatUnaryOperator` | `andThen(FloatUnaryOperator after)` Creates a "forward" composed operator that first applies this operator to its input, and then applies the `after` operator to the result.
    `` | `public float` | `applyAsFloat(float operand)` Applies this operator.
    `` | `public FloatUnaryOperator` | `compose(FloatUnaryOperator before)` Creates a "backward" composed operator that first applies the `before` operator to its input, and then applies this operator to the result.
    `` | `public static FloatUnaryOperator` | `identity()` Returns the identity float unary operator.

- - ### Method Detail

    - #### public FloatUnaryOperator andThen(FloatUnaryOperator after)

      Creates a "forward" composed operator that first applies this operator to its input, and then applies the `after` operator to the result.

      throws:
        NullPointerException if after is null
      Parameters:
        `after` - the operator to apply after this operator is applied
      Returns:
        the composed operator
      See Also:
        compose(FloatUnaryOperator)

    - #### public float applyAsFloat(float operand)

      Applies this operator.

      Parameters:
        `operand` - the operand
      Returns:
        the operator result

    - #### public FloatUnaryOperator compose(FloatUnaryOperator before)

      Creates a "backward" composed operator that first applies the `before` operator to its input, and then applies this operator to the result.

      throws:
        NullPointerException if before is null
      Parameters:
        `before` - the operator to apply before this operator is applied
      Returns:
        the composed operator
      See Also:
        andThen(FloatUnaryOperator)

    - #### public static FloatUnaryOperator identity()

      Returns the identity float unary operator.

      Returns:
        a unary operator that always returns its input argument